Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366341 - [RFE] Provide cli tools to diagnose and repair "peer rejected"
Summary: [RFE] Provide cli tools to diagnose and repair "peer rejected"
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: 3.8
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 17:23 UTC by Joe Julian
Modified: 2017-11-07 10:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-07 10:40:08 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Joe Julian 2016-08-11 17:23:18 UTC
https://gluster.readthedocs.io/en/latest/Administrator%20Guide/Resolving%20Peer%20Rejected/ is a hack as evidenced by instruction #6 and the instruction to retry the whole process if it doesn't work.

There should be cli command(s) to show why a peer is rejected as well as cli command(s) to repair any fault that causes a peer to be rejected.

Comment 1 Kaushal 2016-08-16 12:23:33 UTC
Without changing the existing RPCs showing why a peer is rejected can only be done if the peer on which the command is run has rejected a remote peer, not the other way around.

As for commands to repair, may be we should resurrect `gluster volume sync`, which should fix rejects caused by sync problems. This might not be able to fix all problems with rejection, but should help the majority.

Joe, does this sound acceptable?

(Note: We are currently low on developers who can implement this. This RFE might take a long while to get to fruition)

Comment 2 Niels de Vos 2016-09-12 05:36:57 UTC
All 3.8.x bugs are now reported against version 3.8 (without .x). For more information, see http://www.gluster.org/pipermail/gluster-devel/2016-September/050859.html

Comment 3 Niels de Vos 2017-11-07 10:40:08 UTC
This bug is getting closed because the 3.8 version is marked End-Of-Life. There will be no further updates to this version. Please open a new bug against a version that still receives bugfixes if you are still facing this issue in a more current release.


Note You need to log in before you can comment on or make changes to this bug.